digiKam Developer Documentation: Digikam::IccProfilesComboBox Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::IccProfilesComboBox Class Reference
Inheritance diagram for Digikam::IccProfilesComboBox:

## Public Member Functions
| IccProfilesComboBox (QWidget *const parent=nullptr)
void | addProfileSqueezed (const IccProfile &profile, const QString &description=QString())
| Add the given profile with the given description, or, if null, a standard description.
void | addProfilesSqueezed (const QList< IccProfile > &profiles)
| Checks the given profiles for validity, creates a suitable description (ICC profile description, file path), removes duplicates by file path, sorts them and adds them in sorted order.
IccProfile | currentProfile () const
| Retrieves the current profile, or a null profile if none is selected.
void | replaceProfilesSqueezed (const QList< IccProfile > &profiles)
| Clears, does the same as addProfilesSqueezed, and restores the current entry if possible.
void | setCurrentProfile (const IccProfile &profile)
| Sets the current profile.
void | setNoProfileIfEmpty (const QString &message)
| Sets a message the is displayed in the combo box and disables the combo box, if the combo box is currently empty.
Public Member Functions inherited from Digikam::SqueezedComboBox
| SqueezedComboBox (QWidget *const parent=nullptr, const char *name=nullptr)
| Constructor.
| ~SqueezedComboBox () override
| destructor
void | addSqueezedItem (const QString &newItem, const QVariant &userData=QVariant())
| Append an item.
bool | contains (const QString &text) const
| Returns true if the combobox contains the original (not-squeezed) version of text.
int | findOriginalText (const QString &text, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
| Returns the index of the combobox if found the original (not-squeezed) version of text.
void | insertSqueezedItem (const QString &newItem, int index, const QVariant &userData=QVariant())
| This inserts a item to the list.
void | insertSqueezedList (const QStringList &newItems, int index)
| This inserts items to the list.
QString | item (int index) const
| This method returns the full text (not squeezed) for the index.
QString | itemHighlighted () const
| This method returns the full text (not squeezed) of the currently highlighted item.
void | setCurrent (const QString &itemText)
| Set the current item to the one matching the given text.
QSize | sizeHint () const override
| Sets the sizeHint() of this widget.

## Additional Inherited Members
Signals inherited from Digikam::SqueezedComboBox
void | signalItemActivated (const QString &)

## Constructor & Destructor Documentation

## ◆ IccProfilesComboBox()

Digikam::IccProfilesComboBox::IccProfilesComboBox | ( | QWidget *const | parent = `nullptr` | ) |
| explicit

Note
  Use the signal currentIndexChanged(int) for change notification

## Member Function Documentation

## ◆ addProfileSqueezed()

void Digikam::IccProfilesComboBox::addProfileSqueezed | ( | const IccProfile & | profile,
|  | const QString & | description = `QString()`
| ) |  |

Does not test for duplicity, does not sort into existing profiles.

## ◆ setCurrentProfile()

void Digikam::IccProfilesComboBox::setCurrentProfile | ( | const IccProfile & | profile | ) |

If profile is not in the list, sets no current item (-1)